ServletSecurity.TransportGuarantee (Servlet 4.0 API Documentation - Apache Tomcat 9.0.104)
Description: declaration: package: javax.servlet.annotation, annotation type: ServletSecurity, enum: TransportGuarantee

# Enum ServletSecurity.TransportGuarantee

java.lang.Object
java.lang.Enum<ServletSecurity.TransportGuarantee>
javax.servlet.annotation.ServletSecurity.TransportGuarantee

All Implemented Interfaces:
  `Serializable`, `Comparable<ServletSecurity.TransportGuarantee>`, `java.lang.constant.Constable`

Enclosing class:
  `ServletSecurity`

public static enum ServletSecurity.TransportGuarantee extends Enum<ServletSecurity.TransportGuarantee>
Represents the two possible values of data transport, encrypted or not.

Since:
  Servlet 3.0

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONFIDENTIAL`
  The container MUST encrypt user data during transport
  `NONE`
  User data must not be encrypted by the container during transport

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ServletSecurity.TransportGuarantee`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ServletSecurity.TransportGuarantee[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final ServletSecurity.TransportGuarantee NONE
    User data must not be encrypted by the container during transport

  - ### CONFIDENTIAL

    public static final ServletSecurity.TransportGuarantee CONFIDENTIAL
    The container MUST encrypt user data during transport

- ## Method Details

  - ### values

    public static ServletSecurity.TransportGuarantee[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ServletSecurity.TransportGuarantee valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null